#! /bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - installation file for minicom services on EIS/FAIR
#
# Copyright (c) 2004-2018  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2004-06-08  jed
# Last Update:  $Id: install.sh 49965 2018-02-02 11:17:29Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# read eislib etc.
. /var/install/include/eislib
. /var/install/include/jedlib

module_name='minicom'

myecho --pack ${module_name} --info "running install.sh ..."

minicom_path=/var/minicom

# update shared library file
update_jedlib ${module_name}

# create directories
for DNAME in download scripts upload
do
    mkdir -p ${minicom_path}/${DNAME}
    chmod 755 ${minicom_path}/${DNAME}
done

chmod 755 ${minicom_path}

# extract initial directory content
if [ ! -f ${minicom_path}/minicom.users ]
then
    cp ${minicom_path}/minicom.users.std ${minicom_path}/minicom.users
fi

# create default configuration file
if [ ! -f ${minicom_path}/minirc.dfl ]
then
    cp ${minicom_path}/minirc.dfl-mono ${minicom_path}/minirc.dfl
fi

# move binary files and scripts from /usr/local/bin to /usr/bin
find ${minicom_path} -maxdepth 1 -type f -name "minirc\.*" -exec sed -i 's#/usr/local#/usr#g' {} \;

# menu
myecho --pack ${module_name} "adding menu ..."
/var/install/bin/add-menu --menu "setup.services.menu" "setup.services.${module_name}.menu" "Minicom Service"

exit 0
